# PSF-LoginServer - master - net.psforever.types.MeritCommendation
PSF - LoginServer - master - net.psforever.types.MeritCommendation
Keywords: PSF LoginServer master net.psforever.types.MeritCommendation

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# MeritCommendation

###

#### object MeritCommendation extends Enumeration

An `Enumeration` of all merit commendation award categories organized into associated ribbons. By astonishing coincidence, with exception of the first ten special awards, the rest of list is in alphabetical order.

Source
  MeritCommendation.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MeritCommendation
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AMSSupport1: Value
5.  val AMSSupport2: Value
6.  val AMSSupport3: Value
7.  val AMSSupport4: Value
8.  val AMSSupport5: Value
9.  val AMSSupport6: Value
10.  val AMSSupport7: Value
11.  val AdvancedMedic1: Value
12.  val AdvancedMedic2: Value
13.  val AdvancedMedic3: Value
14.  val AdvancedMedic4: Value
15.  val AdvancedMedic5: Value
16.  val AdvancedMedic6: Value
17.  val AdvancedMedic7: Value
18.  val AdvancedMedicAssists1: Value
19.  val AdvancedMedicAssists2: Value
20.  val AdvancedMedicAssists3: Value
21.  val AdvancedMedicAssists4: Value
22.  val AdvancedMedicAssists5: Value
23.  val AdvancedMedicAssists6: Value
24.  val AdvancedMedicAssists7: Value
25.  val AirDefender1: Value
26.  val AirDefender2: Value
27.  val AirDefender3: Value
28.  val AirDefender4: Value
29.  val AirDefender5: Value
30.  val AirDefender6: Value
31.  val AirDefender7: Value
32.  val AntiVehicular1: Value
33.  val AntiVehicular2: Value
34.  val AntiVehicular3: Value
35.  val AntiVehicular4: Value
36.  val AntiVehicular5: Value
37.  val AntiVehicular6: Value
38.  val AntiVehicular7: Value
39.  val Avenger1: Value
40.  val Avenger2: Value
41.  val Avenger3: Value
42.  val Avenger4: Value
43.  val Avenger5: Value
44.  val Avenger6: Value
45.  val Avenger7: Value
46.  val BFRAdvanced: Value
47.  val BFRAdvanced2: Value
48.  val BFRAdvanced3: Value
49.  val BFRAdvanced4: Value
50.  val BFRAdvanced5: Value
51.  val BFRBuster1: Value
52.  val BFRBuster2: Value
53.  val BFRBuster3: Value
54.  val BFRBuster4: Value
55.  val BFRBuster5: Value
56.  val BFRBuster6: Value
57.  val BFRBuster7: Value
58.  val BendingMovieActor: Value
59.  val BlackOpsHunter1: Value
60.  val BlackOpsHunter2: Value
61.  val BlackOpsHunter3: Value
62.  val BlackOpsHunter4: Value
63.  val BlackOpsHunter5: Value
64.  val BlackOpsParticipant: Value
65.  val BlackOpsVictory: Value
66.  val Bombadier1: Value
67.  val Bombadier2: Value
68.  val Bombadier3: Value
69.  val Bombadier4: Value
70.  val Bombadier5: Value
71.  val Bombadier6: Value
72.  val Bombadier7: Value
73.  val BomberAce1: Value
74.  val BomberAce2: Value
75.  val BomberAce3: Value
76.  val BomberAce4: Value
77.  val BomberAce5: Value
78.  val BomberAce6: Value
79.  val BomberAce7: Value
80.  val Boomer1: Value
81.  val Boomer2: Value
82.  val Boomer3: Value
83.  val Boomer4: Value
84.  val Boomer5: Value
85.  val Boomer6: Value
86.  val Boomer7: Value
87.  val CMTopOutfit: Value
88.  val CSAppreciation: Value
89.  val CalvaryDriver1: Value
90.  val CalvaryDriver2: Value
91.  val CalvaryDriver3: Value
92.  val CalvaryDriver4: Value
93.  val CalvaryDriver5: Value
94.  val CalvaryDriver6: Value
95.  val CalvaryDriver7: Value
96.  val CalvaryPilot: Value
97.  val CalvaryPilot2: Value
98.  val CalvaryPilot3: Value
99.  val CalvaryPilot4: Value
100.  val CalvaryPilot5: Value
101.  val CalvaryPilot6: Value
102.  val CalvaryPilot7: Value
103.  val CombatMedic: Value
104.  val CombatMedic2: Value
105.  val CombatMedic3: Value
106.  val CombatMedic4: Value
107.  val CombatMedic5: Value
108.  val CombatMedic6: Value
109.  val CombatMedic7: Value
110.  val CombatRepair1: Value
111.  val CombatRepair2: Value
112.  val CombatRepair3: Value
113.  val CombatRepair4: Value
114.  val CombatRepair5: Value
115.  val CombatRepair6: Value
116.  val CombatRepair7: Value
117.  val ContestFirstBR40: Value
118.  val ContestMovieMaker: Value
119.  val ContestMovieMakerOutfit: Value
120.  val ContestPlayerOfTheMonth: Value
121.  val ContestPlayerOfTheYear: Value
122.  val DefenseNC1: Value
123.  val DefenseNC2: Value
124.  val DefenseNC3: Value
125.  val DefenseNC4: Value
126.  val DefenseNC5: Value
127.  val DefenseNC6: Value
128.  val DefenseNC7: Value
129.  val DefenseTR1: Value
130.  val DefenseTR2: Value
131.  val DefenseTR3: Value
132.  val DefenseTR4: Value
133.  val DefenseTR5: Value
134.  val DefenseTR6: Value
135.  val DefenseTR7: Value
136.  val DefenseVS1: Value
137.  val DefenseVS2: Value
138.  val DefenseVS3: Value
139.  val DefenseVS4: Value
140.  val DefenseVS5: Value
141.  val DefenseVS6: Value
142.  val DefenseVS7: Value
143.  val DevilDogsMovie: Value
144.  val DogFighter1: Value
145.  val DogFighter2: Value
146.  val DogFighter3: Value
147.  val DogFighter4: Value
148.  val DogFighter5: Value
149.  val DogFighter6: Value
150.  val DogFighter7: Value
151.  val DriverGunner1: Value
152.  val DriverGunner2: Value
153.  val DriverGunner3: Value
154.  val DriverGunner4: Value
155.  val DriverGunner5: Value
156.  val DriverGunner6: Value
157.  val DriverGunner7: Value
158.  val EliteAssault0: Value
159.  val EliteAssault1: Value
160.  val EliteAssault2: Value
161.  val EliteAssault3: Value
162.  val EliteAssault4: Value
163.  val EliteAssault5: Value
164.  val EliteAssault6: Value
165.  val EliteAssault7: Value
166.  val EmeraldVeteran: Value
167.  val Engineer1: Value
168.  val Engineer2: Value
169.  val Engineer3: Value
170.  val Engineer4: Value
171.  val Engineer5: Value
172.  val Engineer6: Value
173.  val EquipmentSupport1: Value
174.  val EquipmentSupport2: Value
175.  val EquipmentSupport3: Value
176.  val EquipmentSupport4: Value
177.  val EquipmentSupport5: Value
178.  val EquipmentSupport6: Value
179.  val EquipmentSupport7: Value
180.  val EventNCCommander: Value
181.  val EventNCElite: Value
182.  val EventNCSoldier: Value
183.  val EventTRCommander: Value
184.  val EventTRElite: Value
185.  val EventTRSoldier: Value
186.  val EventVSCommander: Value
187.  val EventVSElite: Value
188.  val EventVSSoldier: Value
189.  val Explorer1: Value
190.  val FanFaire2005Commander: Value
191.  val FanFaire2005Soldier: Value
192.  val FanFaire2006Atlanta: Value
193.  val FanFaire2007: Value
194.  val FanFaire2008: Value
195.  val FanFaire2009: Value
196.  val FiveYearNC: Value
197.  val FiveYearTR: Value
198.  val FiveYearVS: Value
199.  val FourYearNC: Value
200.  val FourYearTR: Value
201.  val FourYearVS: Value
202.  val GalaxySupport1: Value
203.  val GalaxySupport2: Value
204.  val GalaxySupport3: Value
205.  val GalaxySupport4: Value
206.  val GalaxySupport5: Value
207.  val GalaxySupport6: Value
208.  val GalaxySupport7: Value
209.  val Grenade1: Value
210.  val Grenade2: Value
211.  val Grenade3: Value
212.  val Grenade4: Value
213.  val Grenade5: Value
214.  val Grenade6: Value
215.  val Grenade7: Value
216.  val GroundGunner1: Value
217.  val GroundGunner2: Value
218.  val GroundGunner3: Value
219.  val GroundGunner4: Value
220.  val GroundGunner5: Value
221.  val GroundGunner6: Value
222.  val GroundGunner7: Value
223.  val HackingSupport1: Value
224.  val HackingSupport2: Value
225.  val HackingSupport3: Value
226.  val HackingSupport4: Value
227.  val HackingSupport5: Value
228.  val HackingSupport6: Value
229.  val HackingSupport7: Value
230.  val HalloweenMassacre2006NC: Value
231.  val HalloweenMassacre2006TR: Value
232.  val HalloweenMassacre2006VS: Value
233.  val HeavyAssault1: Value
234.  val HeavyAssault2: Value
235.  val HeavyAssault3: Value
236.  val HeavyAssault4: Value
237.  val HeavyAssault5: Value
238.  val HeavyAssault6: Value
239.  val HeavyAssault7: Value
240.  val HeavyInfantry: Value
241.  val HeavyInfantry2: Value
242.  val HeavyInfantry3: Value
243.  val HeavyInfantry4: Value
244.  val InfantryExpert1: Value
245.  val InfantryExpert2: Value
246.  val InfantryExpert3: Value
247.  val Jacking: Value
248.  val Jacking2: Value
249.  val Jacking3: Value
250.  val Jacking4: Value
251.  val Jacking5: Value
252.  val Jacking6: Value
253.  val Jacking7: Value
254.  val KnifeCombat1: Value
255.  val KnifeCombat2: Value
256.  val KnifeCombat3: Value
257.  val KnifeCombat4: Value
258.  val KnifeCombat5: Value
259.  val KnifeCombat6: Value
260.  val KnifeCombat7: Value
261.  val LightInfantry: Value
262.  val LockerCracker1: Value
263.  val LockerCracker2: Value
264.  val LockerCracker3: Value
265.  val LockerCracker4: Value
266.  val LockerCracker5: Value
267.  val LockerCracker6: Value
268.  val LockerCracker7: Value
269.  val LodestarSupport1: Value
270.  val LodestarSupport2: Value
271.  val LodestarSupport3: Value
272.  val LodestarSupport4: Value
273.  val LodestarSupport5: Value
274.  val LodestarSupport6: Value
275.  val LodestarSupport7: Value
276.  val Loser: Value
277.  val Loser2: Value
278.  val Loser3: Value
279.  val Loser4: Value
280.  val MarkovVeteran: Value
281.  val Max1: Value
282.  val Max2: Value
283.  val Max3: Value
284.  val Max4: Value
285.  val Max5: Value
286.  val Max6: Value
287.  val MaxBuster1: Value
288.  val MaxBuster2: Value
289.  val MaxBuster3: Value
290.  val MaxBuster4: Value
291.  val MaxBuster5: Value
292.  val MaxBuster6: Value
293.  val MediumAssault1: Value
294.  val MediumAssault2: Value
295.  val MediumAssault3: Value
296.  val MediumAssault4: Value
297.  val MediumAssault5: Value
298.  val MediumAssault6: Value
299.  val MediumAssault7: Value
300.  val None: Value
301.  val OneYearNC: Value
302.  val OneYearTR: Value
303.  val OneYearVS: Value
304.  val Orion1: Value
305.  val Orion2: Value
306.  val Orion3: Value
307.  val Orion4: Value
308.  val Orion5: Value
309.  val Orion6: Value
310.  val Orion7: Value
311.  val Osprey1: Value
312.  val Osprey2: Value
313.  val Osprey3: Value
314.  val Osprey4: Value
315.  val Osprey5: Value
316.  val Osprey6: Value
317.  val Osprey7: Value
318.  val PSUMaAttendee: Value
319.  val PSUMbAttendee: Value
320.  val Phalanx1: Value
321.  val Phalanx2: Value
322.  val Phalanx3: Value
323.  val Phalanx4: Value
324.  val Phalanx5: Value
325.  val Phalanx6: Value
326.  val Phalanx7: Value
327.  val QAAppreciation: Value
328.  val ReinforcementHackSpecialist: Value
329.  val ReinforcementInfantrySpecialist: Value
330.  val ReinforcementSpecialist: Value
331.  val ReinforcementVehicleSpecialist: Value
332.  val RouterSupport1: Value
333.  val RouterSupport2: Value
334.  val RouterSupport3: Value
335.  val RouterSupport4: Value
336.  val RouterSupport5: Value
337.  val RouterSupport6: Value
338.  val RouterSupport7: Value
339.  val RouterTelepadDeploy1: Value
340.  val RouterTelepadDeploy2: Value
341.  val RouterTelepadDeploy3: Value
342.  val RouterTelepadDeploy4: Value
343.  val RouterTelepadDeploy5: Value
344.  val RouterTelepadDeploy6: Value
345.  val RouterTelepadDeploy7: Value
346.  val ScavengerNC1: Value
347.  val ScavengerNC2: Value
348.  val ScavengerNC3: Value
349.  val ScavengerNC4: Value
350.  val ScavengerNC5: Value
351.  val ScavengerNC6: Value
352.  val ScavengerTR1: Value
353.  val ScavengerTR2: Value
354.  val ScavengerTR3: Value
355.  val ScavengerTR4: Value
356.  val ScavengerTR5: Value
357.  val ScavengerTR6: Value
358.  val ScavengerVS1: Value
359.  val ScavengerVS2: Value
360.  val ScavengerVS3: Value
361.  val ScavengerVS4: Value
362.  val ScavengerVS5: Value
363.  val ScavengerVS6: Value
364.  val SixYearNC: Value
365.  val SixYearTR: Value
366.  val SixYearVS: Value
367.  val Sniper1: Value
368.  val Sniper2: Value
369.  val Sniper3: Value
370.  val Sniper4: Value
371.  val Sniper5: Value
372.  val Sniper6: Value
373.  val Sniper7: Value
374.  val SpecialAssault1: Value
375.  val SpecialAssault2: Value
376.  val SpecialAssault3: Value
377.  val SpecialAssault4: Value
378.  val SpecialAssault5: Value
379.  val SpecialAssault6: Value
380.  val SpecialAssault7: Value
381.  val StandardAssault1: Value
382.  val StandardAssault2: Value
383.  val StandardAssault3: Value
384.  val StandardAssault4: Value
385.  val StandardAssault5: Value
386.  val StandardAssault6: Value
387.  val StandardAssault7: Value
388.  val StracticsHistorian: Value
389.  val Supply1: Value
390.  val Supply2: Value
391.  val Supply3: Value
392.  val Supply4: Value
393.  val Supply5: Value
394.  val Supply6: Value
395.  val Supply7: Value
396.  val TankBuster1: Value
397.  val TankBuster2: Value
398.  val TankBuster3: Value
399.  val TankBuster4: Value
400.  val TankBuster5: Value
401.  val TankBuster6: Value
402.  val TankBuster7: Value
403.  val ThreeYearNC: Value
404.  val ThreeYearTR: Value
405.  val ThreeYearVS: Value
406.  val TinyRoboticSupport1: Value
407.  val TinyRoboticSupport2: Value
408.  val TinyRoboticSupport3: Value
409.  val TinyRoboticSupport4: Value
410.  val TinyRoboticSupport5: Value
411.  val TinyRoboticSupport6: Value
412.  val TinyRoboticSupport7: Value
413.  val Transport1: Value
414.  val Transport2: Value
415.  val Transport3: Value
416.  val Transport4: Value
417.  val Transport5: Value
418.  val Transport6: Value
419.  val Transport7: Value
420.  val TransportationCitation1: Value
421.  val TransportationCitation2: Value
422.  val TransportationCitation3: Value
423.  val TransportationCitation4: Value
424.  val TransportationCitation5: Value
425.  val TwoYearNC: Value
426.  val TwoYearTR: Value
427.  val TwoYearVS: Value
428.  val ValentineFemale: Value
429.  val ValentineMale: Value
430.  final def Value(i: Int, name: String): Value
     Attributes
       protected
     Definition Classes
       Enumeration
431.  final def Value(name: String): Value
     Attributes
       protected
     Definition Classes
       Enumeration
432.  final def Value(i: Int): Value
     Attributes
       protected
     Definition Classes
       Enumeration
433.  final def Value: Value
     Attributes
       protected
     Definition Classes
       Enumeration
434.  val WernerVeteran: Value
435.  val XmasGingerman: Value
436.  val XmasSnowman: Value
437.  val XmasSpirit: Value
438.  final def apply(x: Int): Value
     Definition Classes
       Enumeration
439.  final def asInstanceOf[T0]: T0
     Definition Classes
       Any
440.  def clone(): AnyRef
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.CloneNotSupportedException]) @native()
441.  implicit val codec: Codec[Value]

     Carefully and explicitly convert between `Codec[Long] -> Long -> Int -> MeritCommendation.Value`.

442.  final def eq(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
443.  def equals(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef → Any
444.  def finalize(): Unit
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.Throwable])
445.  final def getClass(): Class[_ <: AnyRef]
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
446.  def hashCode(): Int
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
447.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
448.  final def maxId: Int
     Definition Classes
       Enumeration
449.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
450.  var nextId: Int
     Attributes
       protected
     Definition Classes
       Enumeration
451.  var nextName: Iterator[String]
     Attributes
       protected
     Definition Classes
       Enumeration
452.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
453.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
454.  def readResolve(): AnyRef
     Attributes
       protected
     Definition Classes
       Enumeration
455.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
456.  def toString(): String
     Definition Classes
       Enumeration → AnyRef → Any
457.  def values: ValueSet
     Definition Classes
       Enumeration
458.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
459.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
460.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
461.  final def withName(s: String): Value
     Definition Classes
       Enumeration
462.  implicit object ValueOrdering extends Ordering[Value]
     Definition Classes
       Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped